[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#486315: PTS: resets bug counts



On Sun, Jun 15, 2008 at 11:23:51AM +0200, Thijs Kinkhorst wrote:
> Package: qa.debian.org
> 
> The bug counts for all packages in the PTS seem to be all-zeroes. My first
> explanation for this is the current outage of a number of Debian machines.
> However, I think it would be better if the PTS did not trash the old
> information it has before it knows it downloaded new fresh information.

agreed, I just committed a fix to update_incoming.sh which should solve this
bug.

Index: update_incoming.sh
===================================================================
--- update_incoming.sh  (revision 1897)
+++ update_incoming.sh  (working copy)
@@ -28,9 +28,13 @@
     # the link)
     cp -a $2 $2.new || true
     # Beware that -N conflicts with -O (#88176, #202911)
-    wget -U pts -q -O $2.new $1 || \
-   echo "Downloading $1 failed, $2 is stale now"
-    mv $2.new $2
+    wget -U pts -q -O $2.new $1
+    if [ $? -gt 0 ]; then
+        echo "Downloading $1 failed, $2 is stale now"
+        rm -f $2.new
+    else
+        mv $2.new $2
+    fi
 }
 
filippo
--
Filippo Giunchedi - http://esaurito.net
PGP key: 0x6B79D401
random quote follows:

UNIX IS user friendly, it is just selective who his friends are.



Reply to: